/*---------------------------------------------------------------------------

JavaScript Page Opener for Web Designers Toolkit
(C)1999-2004 USINGIT.COM, All Rights Reserved.
To get more free and professional scripts, visit:
http://www.usingit.com/
http://www.usingit.com/products/webtoolkit
email: support@usingit.com

This script can be used freely for commercial and non-commercial sites only if 
you don't alert the copyright info here! 

-----------------------------------------------------------------------------*/

//**************************************************************
//Set the parameters below to make this script to fit your need.
//**************************************************************

//Open Direction. 0: Top/Bottom; 1: Left/Right;
var OpenDirection = 0;

//You need to click the button to start the opening effect if you set it to true. 
//false to open automatically.
var ClickToOpen = true;

//The distance the "door" will be opened each interval.
var Steps = 3;
//How long the script will wait before next move. Lower is faster.
var Delay = 10;

//The caption of the button
var btnCaption="Click Here to Start!";
//Button Width
var btnWidth=260;
//Button Height
var btnHeight=30;
//Button Border Thick
var btnBrdThick=3;
//Button Border Color
var btnBrdClr="#F4EE00";
//Button Border Style
var btnBrdStyle="outset";
//Button Color
var btnClr="#F4EE00";
//The family name of the font. Such as Ms Sans Serif,Georgia,Helvetica,Arial;
var FontName="arial,verdana,helvetica"; 
//Font size of the text
var FontSize=10;
//Bold or Normal
var FontWeight="bold";
//Italic or Normal
var FontStyle="normal";
//Font Color
var FontColor="#000000";


//Background color for Left/Right or Top/Bottom block.
var LeftTopBlkBgClr = '#C0C0C0';
var BottomRightBlkBgClr = '#C0C0C0';

//Border thick for Left/Right or Top/Bottom block.
var LeftTopBlkBrdThick = 1;
var BottomRightBlkBrdThick = 1;

//Border color for Left/Right or Top/Bottom block.
var LeftTopBlkBrdClr = '#000000';
var BottomRightBlkBrdClr = '#000000';



//**************************************************************
//DO NOT CHANGE ANYTHING BELOW.
//**************************************************************


var width=document.body.clientWidth;
var height=document.body.clientHeight;

initOpener();

function initOpener() {
	if(OpenDirection==0) {
		document.write('<div id="BLOCK1" style="z-index:1000;position:absolute;display:block;left:0px;top:0px;background:'+LeftTopBlkBgClr+';width:'+width+';height:'+(height/2)+';border-bottom:'+LeftTopBlkBrdClr+' solid '+LeftTopBlkBrdThick+'px"></div>');
		document.write('<div id="BLOCK2" style="z-index:1000;position:absolute;display:block;left:0px;bottom:0px;background:'+BottomRightBlkBgClr+';width:'+width+';height:'+(height/2)+';border-top:'+BottomRightBlkBrdClr+' solid '+BottomRightBlkBrdThick+'px"></div>');
		if(!ClickToOpen) {
			doOpenDoor('BLOCK1',Steps,Delay,0);
			doOpenDoor('BLOCK2',Steps,Delay,1);
		}
		else {
			createBtn(Steps,Delay,OpenDirection);
		}
	}
	if(OpenDirection==1) {
		document.write('<div id="BLOCK1" style="z-index:1000;position:absolute;display:block;left:0px;top:0px;background:'+LeftTopBlkBgClr+';width:'+(width/2)+';height:'+height+';border-right:'+LeftTopBlkBrdClr+' solid '+LeftTopBlkBrdThick+'px"></div>');
		document.write('<div id="BLOCK2" style="z-index:1000;position:absolute;display:block;right:0px;top:0px;background:'+BottomRightBlkBgClr+';width:'+(width/2)+';height:'+height+';border-left:'+BottomRightBlkBrdClr+' solid '+BottomRightBlkBrdThick+'px"></div>');
		if(!ClickToOpen) {
			doOpenDoor('BLOCK1',Steps,Delay,2);
			doOpenDoor('BLOCK2',Steps,Delay,3);
		}
		else {
			createBtn(Steps,Delay,OpenDirection);
		}
	}
}


function btnClicked(TgtName,Steps,Delay,OpenDirection) {
	document.getElementById(TgtName).style.display="none";
	if(OpenDirection==0) {
		doOpenDoor('BLOCK1',Steps,Delay,0);
		doOpenDoor('BLOCK2',Steps,Delay,1);
	}
	if(OpenDirection==1) {
		doOpenDoor('BLOCK1',Steps,Delay,2);
		doOpenDoor('BLOCK2',Steps,Delay,3);
	}
}


function createBtn(Steps,Delay,OpenDirection) {
	document.write('<div id="btn1" style="z-index:1001;position:absolute;display:block;left:'+(width/2-btnWidth/2-btnBrdThick)+';top:'+(height/2-btnHeight/2-btnBrdThick)+'"><table style="border:'+btnBrdClr+' '+ btnBrdStyle +' '+btnBrdThick+'px;background:'+btnClr+';width:'+btnWidth+'px;height:'+btnHeight+';'+"font-family:"+FontName+";font-size:"+FontSize+"pt;font-weight:"+FontWeight+";font-style:"+FontStyle+";color:"+FontColor+';cursor:hand;cursor:pointer" onClick="btnClicked(\'btn1\','+Steps+','+Delay+','+OpenDirection+')"><tr><td align="middle">'+btnCaption+'</td></tr></table></div>');
}


function doOpenDoor(TgtName,Steps,Delay,OpenDirection) {
	var lct;
	if(OpenDirection==0)lct="top";
	if(OpenDirection==1)lct="bottom";
	if(OpenDirection==2)lct="left";
	if(OpenDirection==3)lct="right";
	eval('var tmp=document.getElementById(TgtName).style.'+lct);
	tmp=parseInt(tmp);
	var dst;
	if(OpenDirection==0||OpenDirection==1)dst=height/2;
	if(OpenDirection==2||OpenDirection==3)dst=width/2;
	if(-tmp<dst) {
		tmp-=Steps;
		eval('document.getElementById(TgtName).style.'+lct+'=tmp;');
		setTimeout("doOpenDoor('"+TgtName+"',"+Steps+",'"+Delay+"',"+OpenDirection+")", Delay);
	}
	else {
		document.getElementById(TgtName).style.display="none";
		document.body.scroll="yes";
	}
}